ROMol.h File Reference

Defines the primary molecule class `ROMol` as well as associated typedefs. More...

`#include <utility>`
`#include <map>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/graph/adjacency_list.hpp>`
`#include <boost/smart_ptr.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include <RDGeneral/types.h>`
`#include "Atom.h"`
`#include "Bond.h"`
`#include "Conformer.h"`

Go to the source code of this file.

## Classes

class | RDKit::AtomIterator_< Atom_, Mol_ >
| A general random access iterator. More...
class | RDKit::AromaticAtomIterator_< Atom_, Mol_ >
| Iterate over aromatic atoms, this is bidirectional. More...
class | RDKit::HeteroatomIterator_< Atom_, Mol_ >
| Iterate over heteroatoms, this is bidirectional. More...
class | RDKit::QueryAtomIterator_< Atom_, Mol_ >
| Iterate over atoms matching a query. This is bidirectional. More...
class | RDKit::MatchingAtomIterator_< Atom_, Mol_ >
| Iterate over atoms matching a query function. This is bidirectional. More...
class | RDKit::ROMol
| ROMol is a molecule class that is intended to have a fixed topology. More...

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Typedefs

typedef boost::shared_ptr< Bond > | RDKit::BOND_SPTR
typedef boost::adjacency_list< boost::vecS, boost::vecS, boost::undirectedS, ATOM_SPTR, BOND_SPTR > | RDKit::MolGraph
| This is the BGL type used to store the topology: More...
typedef std::vector< ROMol > | RDKit::MOL_VECT
typedef std::vector< ROMol * > | RDKit::MOL_PTR_VECT
typedef MOL_PTR_VECT::const_iterator | RDKit::MOL_PTR_VECT_CI
typedef MOL_PTR_VECT::iterator | RDKit::MOL_PTR_VECT_I

## Variables

const int | RDKit::ci_RIGHTMOST_ATOM
const int | RDKit::ci_LEADING_BOND
const int | RDKit::ci_ATOM_HOLDER

## Detailed Description

Defines the primary molecule class `ROMol` as well as associated typedefs.

Definition in file ROMol.h.